<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroAmountBuilder implements Builder {
	protected $value;
	protected $currency;
	protected $summary;

	public function build(): PagSeguroAmount {

		$obj = new PagSeguroAmount();
		$obj->setCurrency( $this->currency );
		$obj->setSummary( $this->summary );
		$obj->setValue( $this->value );

		return $obj;

	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value): PagSeguroAmountBuilder {

		$this->value = $value;
		return $this;

	}

	/**
	 *
	 * @param mixed $currency
	 */
	public function setCurrency($currency): PagSeguroAmountBuilder {

		$this->currency = $currency;
		return $this;

	}

	/**
	 *
	 * @param mixed $summary
	 */
	public function setSummary($summary): PagSeguroAmountBuilder {

		$this->summary = $summary;
		return $this;

	}

}

